## org.biojava.bio.seq.ragbag
Class RagbagFixedCacheSeqFactory

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagFixedCacheSeqFactory

All Implemented Interfaces:
  RagbagSequenceFactory

public class RagbagFixedCacheSeqFactory
extends java.lang.Object
implements RagbagSequenceFactory

class that is passed to a RagbagAssembly to use a FixedSizeCache cache-backed RagbagCachedSequences.

Author:
  David Huen

Constructor Summary
`RagbagFixedCacheSeqFactory(int size)`

Method Summary
`org.biojava.bio.seq.ragbag.RagbagSequenceItf` `getSequenceObject(java.lang.String name, java.lang.String urn)` return a RagbagSequence object of desired type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RagbagFixedCacheSeqFactory

    public RagbagFixedCacheSeqFactory(int size)

Parameters:
  `size` - maximum number of RagbagCachedSequences to permit at one time.

Method Detail

### getSequenceObject

    public org.biojava.bio.seq.ragbag.RagbagSequenceItf getSequenceObject(java.lang.String name,
                                                                          java.lang.String urn)

  Description copied from interface: `RagbagSequenceFactory`
  return a RagbagSequence object of desired type

  Specified by:
    `getSequenceObject` in interface `RagbagSequenceFactory`